#!/usr/bin/python3
# -*- coding: utf-8 -*-

"""
This script CENTERS a small window on the screen.
"""
from tkinter import *

class Example(Frame):
    def __init__(self, parent):
        Frame.__init__(self, parent, background="#EFDE11")

        self.parent = parent
        self.parent.title("Centered Window Example - Unit 1")
        self.pack(fill=BOTH, expand=1)
        self.centerWindow(w = 290, h = 150)

    def centerWindow(self,w,h):
        sw = self.parent.winfo_screenwidth()
        sh = self.parent.winfo_screenheight()

        x = (sw - w)/2
        y = (sh - h)/2
        self.parent.geometry('%dx%d+%d+%d' % (w, h, x, y))


def main():
    mGui = Tk()
    ex = Example(mGui)
    mGui.mainloop()

if __name__ == '__main__':
    main()
