#!/usr/bin/python3
# -*- coding: utf-8 -*-

"""
This program creates a Quit Button.
When we press the button, the application terminates.
"""
from tkinter import *
from tkinter import ttk

class Example(Frame):
	def __init__(self, parent):
		Frame.__init__(self, parent)
		self.parent = parent
		self.initUI()

	def initUI(self):
		self.parent.title("Startup Template Example - Unit 1")
		self.pack(fill=BOTH, expand=1)

		quitButton = Button(self,
				text="Quit",
				activebackground='red',
				command=self.parent.destroy,
				)
		quitButton.place(x=50, y=50)


#*************************************************
def main():
	mGui = Tk()
	app = Example(mGui)
	mGui.geometry("300x150+300+300")
	mGui.mainloop()

if __name__ == '__main__':
	main()
