from tkinter import *
from tkinter.ttk import *    ##  For Style Function


class Example(Frame):

	def __init__(self, parent):
		Frame.__init__(self, parent)

		self.parent = parent
		self.initUI()

	def initUI(self):

		self.parent.title("Scale idget Example - Unit 5")
		self.style = Style()
		self.style.theme_use("default")
		self.pack(fill=BOTH, expand=1)

		self.var=IntVar

		w1 = Scale(self,
			   from_=0, to=42,
			   orient=VERTICAL,
			   len=125)

		w1.set(19)
		# Set Location and place on Scale widget
		xLoc=25
		yLoc=10
		w1.place(x= xLoc, y= yLoc)

		w2 = Scale(self, from_=0, to=200, len=200, orient=HORIZONTAL) #, tickinterval=8)
		w2.set(23)

		# Set Location and place on Scale widget
		xLoc=50
		yLoc=50
		w2.place(x= xLoc, y= yLoc)


	def onScale(self, val):
		v = int(float(val))
		self.var.set(v)


def main():
	root = Tk()
	ex = Example(root)
	root.geometry("300x150+300+300")
	root.mainloop()


if __name__ == '__main__':
	main()
