#!/usr/bin/python
# -*- coding: utf-8 -*-

"""
Draw text
on the window.
"""

from tkinter import *

def centerWindow(self):
	width = 350
	height = 120

	screenWidth = self.parent.winfo_screenwidth()
	screenHeight = self.parent.winfo_screenheight()

	x = (screenWidth - width)/2
	y = (screenHeight -height)/2
	self.parent.geometry('%dx%d+%d+%d' % (width, height, x, y))

class Example(Frame):
	def __init__(self, parent):
		Frame.__init__(self, parent)
		self.parent = parent
		self.initUI()

	def initUI(self):
		centerWindow(self)

		self.parent.title("Lyrics")
		self.pack(fill=BOTH, expand=YES)

		canvas = Canvas(self)
		canvas.create_text(20, 30, anchor=W, font="Purisa",
			text="Most relationships seem so transitory")

		canvas.create_text(20, 60, anchor=W, font="Purisa",
			text="They're good but not the permanent one")

		canvas.create_text(20, 130, anchor=W, font="Purisa",
			text="Who doesn't long for someone to hold")

		canvas.create_text(20, 160, anchor=W, font="Purisa",
			text="Who knows how to love without being told")

		canvas.create_text(20, 190, anchor=W, font="Purisa",
			text="Somebody tell me why I'm on my own")

		canvas.create_text(20, 220, anchor=W, font="Purisa",
			text="If there's a soulmate for everyone")
		canvas.pack(fill=BOTH, expand=YES)

#********************************************
def main():
	root = Tk()
	ex = Example(root)
	root.geometry("420x250+300+300")
	root.mainloop()

if __name__ == '__main__':
	main()
