#!/usr/bin/python3
# -*- coding: utf-8 -*-

"""
In this script, we lay out imgs using absolute positioning.
"""
from tkinter import *

myPath="/home/pi/Desktop/Code/4 Layout/Layout Code/"

def centerWindow(self):
	width = 525
	height = 500

	screenWidth = self.parent.winfo_screenwidth()
	screenHeight = self.parent.winfo_screenheight()

	x = (screenWidth - width)/2
	y = (screenHeight -height)/2
	self.parent.geometry('%dx%d+%d+%d' % (width, height, x, y))

class Example(Frame):
	def __init__(self, parent):
		Frame.__init__(self, parent)
		self.parent = parent
		self.initUI()

	def initUI(self):
		centerWindow(self)
		self.parent.title("Absolute Positioning Example - Unit 4")
		self.pack(fill=BOTH, expand=1)

		canvas_width = 195
		canvas_height =130
		canvas = Canvas(self,
				width=canvas_width,
				height=canvas_height, bg="blue")
		xLoc=15
		yLoc=5
		canvas.place(x= xLoc, y= yLoc)
		self.myImage01 = PhotoImage(file=myPath+"RaspberryPI-2.ppm")
		canvas.create_image(0,0, anchor=NW, image=self.myImage01)

		canvas_width = 275
		canvas_height = 250
		canvas = Canvas(self,
				width=canvas_width,
				height=canvas_height, bg="green")
		xLoc=250
		yLoc=135
		canvas.place(x= xLoc, y= yLoc)
		self.myImage02 = PhotoImage(file=myPath+"Logo.ppm")
		canvas.create_image(0,0, anchor=NW, image=self.myImage02)

		canvas_width = 295
		canvas_height =200
		canvas = Canvas(self,
				width=canvas_width,
				height=canvas_height, bg="yellow")
		xLoc=70
		yLoc=275
		canvas.place(x= xLoc, y= yLoc)
		self.myImage03 = PhotoImage(file=myPath+"TNC-PI.ppm")
		canvas.create_image(0,0, anchor=NW, image=self.myImage03)


#***********************************************
def main():
	Gui = Tk()
	app = Example(Gui)
	Gui.mainloop()

if __name__ == '__main__':
	main()
