#!/usr/bin/python
# -*- coding: utf-8 -*-

"""
In this script, we use pack manager to position two buttons in the
bottom right corner of the window.
"""

from tkinter import *

myPath="/home/pi/Desktop/Code/4 Layout/Layout Code/"

def centerWindow(self):
	width = 350
	height = 120

	screenWidth = self.parent.winfo_screenwidth()
	screenHeight = self.parent.winfo_screenheight()

	x = (screenWidth - width)/2
	y = (screenHeight -height)/2
	self.parent.geometry('%dx%d+%d+%d' % (width, height, x, y))

class Example(Frame):
	def __init__(self, parent):
		Frame.__init__(self, parent)
		self.parent = parent
		self.initUI()

	def initUI(self):
		centerWindow(self)
		self.parent.title("Buttons Example - Unit 4")
		self.pack(fill=BOTH, expand=YES)

		frame = Frame(self, relief=RAISED, borderwidth=1)
		frame.pack(fill=BOTH, expand=YES)

		closeButton = Button(self, text="Close", underline=0,activebackground="red")
		closeButton.pack(side=RIGHT, padx=5, pady=5)
		okButton = Button(self, text="OK",activebackground="green")
		okButton.pack(side=RIGHT)


#********************************************
def main():
	GUI = Tk()
	app = Example(GUI)
	GUI.mainloop()

if __name__ == '__main__':
	main()
