# exploring Tkinter's Scale (slider) widget

try:
    # Python2
    from Tkinter import *
except ImportError:
    # Python3
    from tkinter import *

class ScaleDemo(Frame):
    def __init__(self, parent=Tk()):
        Frame.__init__(self, parent)
        self.pack()
        self.parent = parent
        Label(self, fg="#0B1FF7", text="Scale/Slider Demo").pack()

        self.var = IntVar()
        self.scale1 = Scale(self,
				label='volume',
				command=self.onMove,
				from_=0, to=300,
				length=300,
				tickinterval=30,
				showvalue='yes',
				orient='horizontal',
				)
        self.scale1.pack()

    def onMove(self, value):
        """ you can use value or self.scale1.get() """
        s = "moving = %s" % value
        # show result in the title
        self.parent.title(s)


ScaleDemo().mainloop()
